fuss-server - Segnalazione #96

Ottenere da ansible I'elenco di tutti i pacchetti installati
12/05/2016 12:39 PM - Elena Grandi

Status: Chiuso Start date: 12/05/2016
Priority: Normale Due date:

Assignee: Elena Grandi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
Ottenere (probabilmente parsando la configurazione di ansible) un elenco di tutti i pacchetti che ansible installerebbe, uno per riga

History

#1 - 12/09/2016 12:55 PM - Simone Piccardi

Al momento I'esecuzione del playbook genera localmente (nel file indicato dalla variabile package_log il cui default & /etc/fuss-server/packagelist.txt)
la lista dei pacchetti installati dal playbook stesso (presi direttamente dagli argomenti con cui viene invocato il task includes/install-package-apt.yml).

Il formato € pertanto serie di righe contente uno o piu nomi di pacchetti separati da virgole

#2 - 12/12/2016 11:58 AM - Elena Grandi
- Status changed from Nuovo to Commenti

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Puo andare cosi?

#3 - 12/12/2016 11:59 AM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi

Ma posso ottenere la lista senza installare e configurare tutto quanto? Questo mi interessa.. perche' di sicuro laddove faccio il build della ISO non
voglio avere dhcp e altri servizi configurati.

#4 - 12/12/2016 12:36 PM - Elena Grandi

- Assignee changed from Elena Grandi to Simone Piccardi

#5 - 12/12/2016 02:42 PM - Simone Piccardi
Christopher R. Gabriel ha scritto:

Ma posso ottenere la lista senza installare e configurare tutto quanto? Questo mi interessa.. perche' di sicuro laddove faccio il build della ISO
non voglio avere dhcp e altri servizi configurati.

No, quello che ho fatto serve solo a generare la lista e ad averla completa. Quella piu I'elenco dei Depends: del debian/control dovrebbe essere usato
per generare il pacchetto fuss-server-dependencies (o come lo si vuole chiamare) da usare per il build della I1SO.

Alla fine & una lista che non dovrebbe variare, non credo valga la pena inventarsi una forma di "generazione dinamica".
#6 - 12/12/2016 02:43 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Elena Grandi

#7 - 12/12/2016 02:44 PM - Christopher R. Gabriel

lo continuo a non capire, quindi riprovo a fare la domanda: come posso avere la lista di tutti i pacchetti necessari per poter fare la ISO, senza dover
installare e configurare un intero fuss-server? mi date un pacchetto fuss-server-dependencies? Un file? Un comando?

#8 - 12/12/2016 02:57 PM - Elena Grandi

- Assignee changed from Elena Grandi to Simone Piccardi

#9 - 12/13/2016 12:30 PM - Elena Grandi

- Assignee changed from Simone Piccardi to Christopher R. Gabriel

Adesso quando si builda si builda anche un metapacchetto fuss-server-dependencies.

L'elenco delle dipendenze & basato sullo stato attuale di ansible, pit quello che era gia presente tra le dipendenze del vecchio pacchetto, come
approssimazione per eccesso.

Quando si ¢ finito di sistemare la parte ansible bisogna rilanciarlo nella modalita che genera I'elenco e verificare le dipendenze del pacchetto, in modo
da ottenere tutto e solo cid che serve (e poi questo elenco va mantenuto allineato con quanto noto ad ansible.)

#10 - 12/13/2016 01:12 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Simone Piccardi
Ok, ma sul piano pratico? Metto fuss-server-dependencies tra i packages della iso e sono a posto? Mi sembra che venga descritto come vada gestito
il pacchetto, che forse e' piu' da documentazione che in risposta alla mia domanda.

Se mi basta usare fuss-server-dependencies e ottengo tutto quello che serve a fuss-server per poter poi fare la iso, per me si puo' chiudere.

#11 - 12/13/2016 01:12 PM - Christopher R. Gabriel

- Assignee changed from Simone Piccardi to Elena Grandi

#12 - 12/13/2016 01:26 PM - Elena Grandi

- Assignee changed from Elena Grandi to Christopher R. Gabriel

Esatto, & per documentazione.

Puoi usare fuss-server-dependencies per generare la iso, ma attenzione che andra rigenerato tutto alla fine di tutto, quando avremo controllato che
effettivamente le dipendenze sono quelle corrette.

(e non so se valga la pena di lasciare il ticket aperto perché come soluzione non ¢ ottimale).

#13 - 12/13/2016 01:28 PM - Christopher R. Gabriel

- Assignee changed from Christopher R. Gabriel to Elena Grandi
Ok, io ho messo quel pacchetto nella lista per la iso.
Tanto le iso le generiamo piu' e piu' volte, via via con gli aggiornamenti.

Direi a questo punto di documentare sul wiki la cosa, descrivendo cosa €' il pacchetto, a cosa serve e come si tiene aggiornato, per me questo ticket
puo' essere chiuso, non mi serve altro.

#14 - 03/10/2017 01:02 PM - Christopher R. Gabriel

- Status changed from Commenti to Chiuso

Chiudo.
